<template>
	<label class="switch" @click="toggle">
		<input ref="toggleButton" type="checkbox" />
		<span class="switch__slider"></span>
	</label>
</template>

<script>
export default {
	name: "CustomSwitch",
	methods: {
		toggle() {
			this.$emit("clicked", this.$refs.toggleButton.checked);
		}
	}
}
</script>

<style scoped>

</style>